/*
    Background Colors
*/
.bg-primary {
	background-color: rgba(var(--color-primary-rgb), var(--bg-opacity));
}
.bg-primary-alt {
	background-color: rgba(var(--color-primary-alt-rgb), var(--bg-opacity));
}
.bg-cyan {
	background-color: rgba(var(--color-cyan-rgb), var(--bg-opacity));
}
.bg-black {
	background-color: rgba(var(--color-black-rgb), var(--bg-opacity));
}
.bg-white {
	background-color: rgba(var(--color-white-rgb), var(--bg-opacity));
}
.bg-grey {
	background-color: rgba(var(--color-grey-rgb), var(--bg-opacity));
}
.bg-light-grey {
	background-color: rgba(var(--color-light-grey-rgb), var(--bg-opacity));
}
.bg-grey-1 {
	background-color: rgba(var(--color-grey-1-rgb), var(--bg-opacity));
}
.bg-grey-2 {
	background-color: rgba(var(--color-grey-2-rgb), var(--bg-opacity));
}
.bg-grey-3 {
	background-color: rgba(var(--color-grey-3-rgb), var(--bg-opacity));
}
.bg-grey-4 {
	background-color: rgba(var(--color-grey-4-rgb), var(--bg-opacity));
}
.bg-grey-5 {
	background-color: rgba(var(--color-grey-5-rgb), var(--bg-opacity));
}
.bg-grey-6 {
	background-color: rgba(var(--color-grey-6-rgb), var(--bg-opacity));
}
.bg-grey-7 {
	background-color: rgba(var(--color-grey-7-rgb), var(--bg-opacity));
}
.bg-grey-8 {
	background-color: rgba(var(--color-grey-8-rgb), var(--bg-opacity));
}
.bg-grey-9 {
	background-color: rgba(var(--color-grey-9-rgb), var(--bg-opacity));
}
.bg-grey-10 {
	background-color: rgba(var(--color-grey-10-rgb), var(--bg-opacity));
}
.bg-default {
	background-color: transparent;
}

/*
    Text Colors
*/
.text-primary {
	color: rgba(var(--color-primary-rgb), var(--text-opacity));
}
.text-black {
	color: rgba(var(--color-black-rgb), var(--text-opacity));
}
.text-white {
	color: rgba(var(--color-white-rgb), var(--text-opacity));
}
.text-grey {
	color: rgba(var(--color-grey-rgb), var(--text-opacity));
}
.text-light-grey {
	color: rgba(var(--color-light-grey-rgb), var(--text-opacity));
}
.text-grey-1 {
	color: rgba(var(--color-grey-1-rgb), var(--text-opacity));
}
.text-grey-2 {
	color: rgba(var(--color-grey-2-rgb), var(--text-opacity));
}
.text-grey-3 {
	color: rgba(var(--color-grey-3-rgb), var(--text-opacity));
}
.text-grey-4 {
	color: rgba(var(--color-grey-4-rgb), var(--text-opacity));
}
.text-grey-5 {
	color: rgba(var(--color-grey-5-rgb), var(--text-opacity));
}
.text-grey-6 {
	color: rgba(var(--color-grey-6-rgb), var(--text-opacity));
}
.text-grey-7 {
	color: rgba(var(--color-grey-7-rgb), var(--text-opacity));
}
.text-grey-8 {
	color: rgba(var(--color-grey-8-rgb), var(--text-opacity));
}
.text-grey-9 {
	color: rgba(var(--color-grey-9-rgb), var(--text-opacity));
}
.text-grey-10 {
	color: rgba(var(--color-grey-10-rgb), var(--text-opacity));
}

/*
	Container Colors
*/

.container-primary .container {
	background-color: rgba(var(--color-primary-rgb), var(--bg-opacity));
}

.container-black .container {
	background-color: rgba(var(--color-black-rgb), var(--bg-opacity));
}

.container-white .container {
	background-color: rgba(var(--color-white-rgb), var(--bg-opacity));
}

.container-grey .container {
	background-color: rgba(var(--color-grey-rgb), var(--bg-opacity));
}

/*
    Border Colors
*/
.border-primary {
	border-color: rgba(var(--color-primary-rgb), var(--border-opacity));
}
.border-black {
	border-color: rgba(var(--color-black-rgb), var(--border-opacity));
}
.border-white {
	border-color: rgba(var(--color-white-rgb), var(--border-opacity));
}
.border-grey {
	border-color: rgba(var(--color-grey-rgb), var(--border-opacity));
}
.border-light-grey {
	border-color: rgba(var(--color-light-grey-rgb), var(--border-opacity));
}
.border-grey-1 {
	border-color: rgba(var(--color-grey-1-rgb), var(--border-opacity));
}
.border-grey-2 {
	border-color: rgba(var(--color-grey-2-rgb), var(--border-opacity));
}
.border-grey-3 {
	border-color: rgba(var(--color-grey-3-rgb), var(--border-opacity));
}
.border-grey-4 {
	border-color: rgba(var(--color-grey-4-rgb), var(--border-opacity));
}
.border-grey-5 {
	border-color: rgba(var(--color-grey-5-rgb), var(--border-opacity));
}
.border-grey-6 {
	border-color: rgba(var(--color-grey-6-rgb), var(--border-opacity));
}
.border-grey-7 {
	border-color: rgba(var(--color-grey-7-rgb), var(--border-opacity));
}
.border-grey-8 {
	border-color: rgba(var(--color-grey-8-rgb), var(--border-opacity));
}
.border-grey-9 {
	border-color: rgba(var(--color-grey-9-rgb), var(--border-opacity));
}
.border-grey-10 {
	border-color: rgba(var(--color-grey-10-rgb), var(--border-opacity));
}

/*
    Opacity
*/
.text-opacity-0 {
	--text-opacity: 0;
}
.text-opacity-10 {
	--text-opacity: 0.1;
}
.text-opacity-20 {
	--text-opacity: 0.2;
}
.text-opacity-30 {
	--text-opacity: 0.3;
}
.text-opacity-40 {
	--text-opacity: 0.4;
}
.text-opacity-50 {
	--text-opacity: 0.5;
}
.text-opacity-60 {
	--text-opacity: 0.6;
}
.text-opacity-70 {
	--text-opacity: 0.7;
}
.text-opacity-80 {
	--text-opacity: 0.8;
}
.text-opacity-90 {
	--text-opacity: 0.9;
}
.text-opacity-100 {
	--text-opacity: 1;
}

.bg-opacity-0 {
	--bg-opacity: 0;
}
.bg-opacity-10 {
	--bg-opacity: 0.1;
}
.bg-opacity-20 {
	--bg-opacity: 0.2;
}
.bg-opacity-30 {
	--bg-opacity: 0.3;
}
.bg-opacity-40 {
	--bg-opacity: 0.4;
}
.bg-opacity-50 {
	--bg-opacity: 0.5;
}
.bg-opacity-60 {
	--bg-opacity: 0.6;
}
.bg-opacity-70 {
	--bg-opacity: 0.7;
}
.bg-opacity-80 {
	--bg-opacity: 0.8;
}
.bg-opacity-90 {
	--bg-opacity: 0.9;
}
.bg-opacity-100 {
	--bg-opacity: 1;
}

.border-opacity-0 {
	--border-opacity: 0;
}
.border-opacity-10 {
	--border-opacity: 0.1;
}
.border-opacity-20 {
	--border-opacity: 0.2;
}
.border-opacity-30 {
	--border-opacity: 0.3;
}
.border-opacity-40 {
	--border-opacity: 0.4;
}
.border-opacity-50 {
	--border-opacity: 0.5;
}
.border-opacity-60 {
	--border-opacity: 0.6;
}
.border-opacity-70 {
	--border-opacity: 0.7;
}
.border-opacity-80 {
	--border-opacity: 0.8;
}
.border-opacity-90 {
	--border-opacity: 0.9;
}
.border-opacity-100 {
	--border-opacity: 1;
}

.opacity-0 {
	opacity: 0;
}
.opacity-10 {
	opacity: 0.1;
}
.opacity-20 {
	opacity: 0.2;
}
.opacity-30 {
	opacity: 0.3;
}
.opacity-40 {
	opacity: 0.4;
}
.opacity-50 {
	opacity: 0.5;
}
.opacity-60 {
	opacity: 0.6;
}
.opacity-70 {
	opacity: 0.7;
}
.opacity-80 {
	opacity: 0.8;
}
.opacity-90 {
	opacity: 0.9;
}
.opacity-100 {
	opacity: 1;
}
